<?php

namespace App\Controller;


use Psr\Log\LoggerInterface;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;

class LuckyController extends Controller {

  /**
   * @Route(
   *   name="lucky-number",
   *   path="/lucky/number"
   * )
   */
  public function number(LoggerInterface $logger) {
    $number = mt_rand(0, 100);
    $logger->notice("We sent $number");
    return $this->render("lucky/number.html.twig", [
      "number" => $number,
    ]);
  }
}
